// -*- C++ -*-
/*!
 * @file  GPS_navigation_implement_class.h for PW
 * @date  $Date$
 *
 * $Id$
 */

#ifndef GPS_NAVIGATION_IMPLEMENT_CLASS_H
#define GPS_NAVIGATION_IMPLEMENT_CLASS_H

#include "GPS_Class.h"

typedef struct {
	std::string damdata[16];
} dam;

class gps_navi : public GPS_Class
{
  private:
	  // <rtc-template block="private_attribute">

	  int map_count; //}bv؂ւ񐔂JEgϐ
	  int deg_count; //pxo͂񐔂JEgϐ
	  int dist_count;//o͂񐔂JEgϐ
	  int updata_count;//XV񐔂JEgϐ
	  bool state; //ړȂtrueCړĂfalseԂ

	  double distance;
	  double degree;

	  // </rtc-template>


	  // <rtc-template block="private_operation">

	  // </rtc-template>

  protected:
	  // <rtc-template block="protected_attribute">

	  // </rtc-template>


	  // <rtc-template block="protected_operation">

	  // </rtc-template>

  public:

	  gps_navi();								//RXgN^
	  virtual ~gps_navi();						//fXgN^  

	  // <rtc-template block="public_attribute">

	  // </rtc-template>

	  // <rtc-template block="public_operation">

	  bool initialize(); //irQ[VԂ̏
	  bool get_state(); //ړ(ture)CړĂ邩(false)Ԃ

	  double get_distance(); //Ԃ
	  double get_degree(); //pxԂ
	  short get_map_count(); //}bv؂ւ񐔂Ԃ

	  bool update_navigation( std::string gpsdata ); //irQ[VXV

	  // </rtc-template>
};

#endif // GPS_NAVIGATION_IMPLEMENT_CLASS_H
